:root {
  --main-color: #5c2e7e;
  --white: #ffffff;
  --dark: #333333;
  --mute: #707070;
  --red: #bc0024;
  --success: #28a745;
  --danger: #dc3545;
  --input-border-color: #afafaf;
  --navbar-icon: #999999;
  --px-10: 0.625rem;
  --normal-font: 1rem;
  --s-font: 0.938rem;
  --xs-font: 0.875rem;
  --card-title-normal: 1.2rem;
  --card-title-sm: 1rem;
  --header-title-normal: 1.6rem;
  --header-title-sm: 1.4rem;
  --header-title-xs: 1rem;
  --h2-normal: 1.3rem;
  --h2-s: 1.15rem;
}

html {
  font-size: 16px;
  box-sizing: border-box;
}

* {
  outline: 0;
  box-sizing: inherit;
  text-decoration: none;
}

body {
  margin: 0;
  padding: 0;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  font-size: var(--normal-font);
  background-color: var(--white);
  color: var(--dark);
  letter-spacing: 0.06px;
  line-height: 1.6;
  overflow-x: hidden;
  word-break: break-word;
}
a {
  color: inherit;
}
p{
  margin: 0 0 15px 0;
}
header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 2rem 10rem;
}
header .overlay {
  display: none;
  top: 0;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 100vh;
  position: fixed;
  background-color: rgba(0, 0, 0, 0.4);
}
header .logo {
  font-weight: 600;
  color: var(--main-color);
  font-size: 1.1rem;
}
header .navbar-button {
  cursor: pointer;
  display: none;
}
header .navbar-button div {
  width: 1.563rem;
  height: 4px;
  border-radius: 15px;
  background-color: var(--navbar-icon);
}
header .navbar-button div:nth-child(-n + 2) {
  margin-bottom: 3px;
}
header ul {
  display: flex;
}
header ul li{
  list-style: none;
}
header ul li a {
  padding: 10px;
  font-weight: 500;
}
.show {
  display: block;
}

.hide {
  display: none;
}
/********Anasayfa Başı*******/
.home-container {
  max-width: 1050px;
  margin: auto;
}
.home-container .main {
  display: grid;
  justify-items: center;
  grid-template-columns: repeat(3, 1fr);
  gap: 3rem 0;
}
.main .card {
  position: relative;
  width: 90%;
  min-height: 31rem;
  border-radius: var(--px-10);
  box-shadow: 4px 8px 16px 0 rgba(0, 0, 0, 0.1);
}
.main .card img {
  width: 100%;
  height: auto;
  border-top-left-radius: var(--px-10);
  border-top-right-radius: var(--px-10);
}
.main .card-body {
  padding: 20px 25px;
}
.main .card-meta {
  display: flex;
  justify-content: space-between;
  color: var(--mute);
  margin: 0 0 var(--px-10);
  font-size: var(--s-font);
  
}
.main .card-meta i {
  margin-right: 4px;
}
.main .card-title {
  margin-bottom: var(--px-10);
  font-size: var(--card-title-normal);
}
.main .pagination {
  margin-top: 1.5rem;
}
.main .pagination .navigation {
  display: flex;
  flex-wrap: wrap;
}
.main .navigation li {
  width: 1.8rem;
  height: 1.8rem;
  text-align: center;
  margin: 5px;
  border: 1px solid #2c2c2c;
  border-radius: 5px;
}
.main .navigation li a {
  font-size: small;
  font-weight: 500;
}
@media screen and (max-width: 1200px) {
  .home-container .main .card {
    margin-bottom: 2.5rem;
  }
  header {
    padding: 1.5rem;
    overflow-x: hidden;
  }
}
@media screen and (max-width: 992px) {
  body {
    font-size: var(--s-font);
  }
  header .navbar-button {
    display: block;
    z-index: 3;
  }
  .home-container .main {
    grid-template-columns: repeat(2, 1fr);
  }
  header .navbar {
    display: none;
    position: fixed;
    right: 0;
    top: 0;
    z-index: 2;
    width: 100%;
    max-width: 300px;
    height: 100vh;
    background-color: var(--dark);
    color: var(--white);
  }
  header .show {
    display: flex;
    align-items: flex-start;
  }
  header .media-action {
    display: flex;
    justify-content: space-between;
  }
  header .navbar ul {
    display: block;
    padding-top: 5rem;
  }
  header .navbar ul li {
    padding: 1rem;
  }
}
@media screen and (max-width: 768px) {
  .home-container .main {
    grid-template-columns: repeat(2, 50%);
  }
}
@media screen and (max-width: 600px) {
  .home-container .main {
    grid-template-columns: repeat(1, 100%);
  }
}
@media screen and (max-width: 480px) {
  body {
    font-size: var(--xs-font);
  }
  header .logo {
    font-size: 1rem;
    font-weight: 700;
  }
  .main .card-title {
    font-size: var(--card-title-sm);
  }
  .home-container .main {
    padding: 1rem;
  }
  .main .card {
    word-wrap: break-word;
  }
}
/********İçerik Başı*******/
.container {
  max-width: 1075px;
  padding: 1rem;
  display: flex;
  justify-content: center;
  margin: auto;
}
.container .main {
  display: flex;
  flex-direction: column;
  flex-basis: 75%;
}
pre {
  width: 100%;
  white-space: pre-wrap;
  word-break: break-word;
  margin: 10px 0;
}
code[class*="plaintext"] {
  background-color: #eeeeee;
  padding: 10px;
}
.container article ul {
  list-style: disc;
}

code:not(code[class*="language-"]) {
  color: var(--danger);
}

pre code.hljs {
  font-size: 88%;
  border-radius: 4px;
  background: #1f2227;
}
pre code .hljs-comment{
  color: #a5a5a5;
}
.container .content-box {
  margin-bottom: 2rem;
}
.container .content-box img {
  width: 100%;
  height: auto;
  border-radius: 5px;
}
.container .content-title {
  word-break: break-word;
  font-size: var(--header-title-normal);
  margin-bottom: 10px;
}
.container .content-meta {
  margin: 15px 0;
  color: var(--mute);
  font-size: var(--s-font);
}
.container .content-meta i {
  margin-right: 5px;
}
.container .content-meta span {
  margin-right: 15px;
}
.container ul{
  padding-inline-start: 20px;
}
.form-wrapper {
  width: 55%;
  display: flex;
}
.comments {
  padding: 15px 25px;
  margin-bottom: 2rem;
  display: flex;
}
.comments i {
  width: 50px;
  height: 50px;
  background-color: #e2e2e2;
  color: var(--mute);
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.comments .comment-meta {
  width: 100%;
  margin-bottom: 5px;
}

.comments .comment-body {
  margin-left: 15px;
}

.comments .name {
  font-weight: 600;
  display: block;
}

.comments .date {
  color: var(--mute);
  font-size: .9rem;
}

.form-wrapper input[type="text"],
input[type="email"] {
  width: 100%;
}

.form-wrapper input[type="text"],
input[type="email"],
textarea {
  padding: 10px;
  margin-top: 15px;
  border: 1px solid var(--input-border-color);
  border-radius: 5px;
}

.form-wrapper textarea {
  width: 100%;
  resize: vertical;
}
.form .form-group {
  display: flex;
  height: 50px;
  align-items: center;
}
.form .form-group label {
  display: flex;
  align-items: center;
  min-width: 50px;
  height: 35px;
  margin-right: 10px;
  padding: 10px;
  color: var(--main-color);
}
.form #captcha {
  max-width: 75px;
  margin-top: 0;
}
.form-wrapper input[type="submit"] {
  padding: 8px 25px;
  margin-top: 10px;
  background-color: var(--main-color);
  color: #ffffff;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}
.container h2{
  margin-bottom: 10px;
  font-size: var(--h2-normal);
}
.container aside {
  display: flex;
  flex-direction: column;
  margin-left: 3rem;
  flex-basis: 25%;
}
hr {
  margin: 1rem 0;
}
.container aside img {
  max-width: 100%;
  height: auto;
}
@media screen and (max-width: 992px) {
  .container {
    flex-wrap: wrap;
    justify-content: center;
  }
  .container .main {
    flex-basis: 95%;
    padding: 0;
  }
  .container aside {
    flex-basis: 95%;
    margin: 3rem 0;
  }
  .form-group .name {
    margin-right: 0;
  }

  .form-group {
    flex-wrap: wrap;
  }
  .form-wrapper {
    width: 100%;
  }
  .form-wrapper .form-group input {
    display: block;
    max-width: 100%;
  }
}
@media screen and (max-width: 768px) {
  .container .content-title {
    font-size: var(--header-title-sm);
  }
}
@media screen and (max-width: 480px) {
  .container {
    padding: 1rem;
  }
  .container .content-title {
    font-size: var(--header-title-xs);
    word-break: break-all;
  }
  .container h2 {
    font-size: var(--h2-s);
    word-break: break word;
  }
}
.session-area {
  display: block;
  width: 100%;
  margin-bottom: 15px;
  padding: 10px;
}
.success {
  color: var(--success);
  background-color: #28a74624;
}
.danger {
  color: var(--danger);
  background-color: #f4e5e6;
}
.danger,
.success {
  border-radius: 5px;
}
.alert {
  border: 1px solid #dc3545;
}
.alert-message {
  font-size: 0.875rem;
  color: var(--danger);
}